@import "../../scss/variables.scss";

@mixin footer-palette() {
  .noku-library-footer {
    width: 100%;
    min-height: 72px;
    display: flex;
    justify-content: center;
    align-items: center;
    // box-shadow: $elevation-1;

    .inner {
      background-color: white;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0 184px;
      box-sizing: border-box;
      width: 100%;

      .copyright-and-logo {
        display: flex;
        align-items: center;
        .logo {
          width: 70px;
          height: auto;
        }
        .copyright {
          margin-left: 24px;
          //styleName: Text / Body 1;
          font-family: "Lato", sans-serif;
          font-size: 13px;
          font-style: normal;
          font-weight: 400;
          line-height: 12px;
          letter-spacing: 0.5px;
        }
      }

      .social-links {
        .icon-button {
          width: 42px;
          height: 42px;
          font-size: 18px;
          box-sizing: border-box;
          .icon {
            // max-width: 18px;
            max-height: 18px;
            width: 100%;
            height: 100%;
            color: $ink-800;
            overflow: visible;
            path {
              fill: $ink-800;
            }
          }
        }
      }

      @media screen and (max-width: $medium) {
        padding: 0 16px;
      }

      @media screen and (min-width: $medium) and (max-width: $large) {
        padding: 0 32px;
      }

      @media screen and (min-width: $large) and (max-width: $xlarge) {
        padding: 0 64px;
      }

      @media screen and (min-width: $xlarge) and (max-width: $xxlarge) {
        padding: 0 128px;
      }
    }
  }
}